# Callback reader

CallbackReader class instance tries to fetch MIB files by calling user object.

class pysmi.reader.callback.CallbackReader(cbFun, cbCtx=None)

  Fetch ASN.1 MIB text by name by calling user-defined callable.

  CallbackReader class instance tries to retrieve ASN.1 MIB files by name and return their contents to caller.

  Create an instance of CallbackReader bound to specific URL.

  Parameters:

    cbFun (callable) – user callable accepting MIB name and cbCtx objects

  Keyword Arguments:

    cbCtx (object) – user object that can be used to communicate state information between user-scope code and the cbFun callable scope